Notes on the documentation

This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.
It is essential that the following notes and explanations are followed when installing and commissioning these components.

The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.

Disclaimer

The documentation has been prepared with care. The products described are, however, constantly under development.
For that reason the documentation is not in every case checked for consistency with performance data, standards or other characteristics.
In the event that it contains technical or editorial errors, we retain the right to make alterations at any time and without warning.
No claims for the modification of products that have already been supplied may be made on the basis of the data, diagrams and descriptions in this documentation.

Trademarks

Beckhoff®, TwinCAT®, EtherCAT®, Safety over EtherCAT®, TwinSAFE® and XFC® are registered trademarks of and licensed by Beckhoff Automation GmbH.
Other designations used in this publication may be trademarks whose use by third parties for their own purposes could violate the rights of the owners.

Patent Pending

The TwinCAT Technology is covered, including but not limited to the following patent applications and patents:
EP0851348, US6167425 with corresponding applications or registrations in various other countries.

Copyright

© Beckhoff Automation GmbH & Co. KG, Germany.
The reproduction, distribution and utilization of this document as well as the communication of its contents to others without express authorization are prohibited.
Offenders will be held liable for the payment of damages. All rights reserved in the event of the grant of a patent, utility model or design.


Overview

TwinCAT PLC HMI Web is a TwinCAT supplement product offering web-based visualisation pages from the TwinCAT PLC.

TwinCAT PLC HMI Web can be installed via Setup.

The IEC1131 PLC "TwinCAT PLC Control" is available as HTML editor. The process of creating the visualisation pages in TwinCAT PLC-Control is analogous to "TwinCAT Target Visualisation" and "TwinCAT PLC HMI" visualisation.

In addition to compiling the PLC code, the visualisation pages are also converted to HTML pages and transferred to the target control system together with the PLC project.

The seamless integration into TwinCAT PLC Control has the advantage that, in addition to creating the IEC1131 PLC code for the visualisation, all variables for the TwinCAT PLC control program are directly available.

Licence

A licence is required for each Runtime (CE/XP). (The editor is included "free of charge" in TwinCAT PLC Control).

Demo version

A limited demo version is not available.

Product components:

  • Editor:

    The IEC1131 PLC editor "TwinCAT PLC Control" is available as editor.

  • Runtime CE:
    The CE platforms supported by Beckhoff are available as CE platform: CE-X86 and CE-ARM.
  • Runtime XP:
    The product has been tested for Windows XP/Windows XPE/Windows Standard.
    System tests for Vista and Windows server have not yet been carried out.

Requirements:

  • For creating web pages:
    TwinCAT 2.10 Build 1326 (or higher)
  • Runtime CE:
    • Beckhoff CE-X86 or CE-ARM device with CE Image 2.18 (or higher)
    • Minimum TwinCAT Level PLC
  • Runtime XP:
    • Minimum TwinCAT Level PLC
  • Web page display:

    A client (browser) requires a Java VM to display the web-based visualisation TwinCAT PLC HMI Web.
    For XP-based systems this is available free of charge from several providers (e.g. Sun).
    We are not aware of a free Java-VM for CE-based system.


CE Runtime: Installation

Requirement:

  • On the host PC: Editor: TwinCAT 2.10 Build 1320
  • On the CE device: CE Image 2.18 (or higher)

Installation:

  • Step 1:
    Install the Supplement Software TwinCAT PLC HMI Web on the host PC.
    Once the required licence key has been entered and the licence agreement has been acknowledged, the Supplement Software is installed in subfolder ..\TwinCAT\CE on your PC.

Example: Installation of TwinCAT PLC HMI Web
The installation of the software on the host PC generates a folder "..\TwinCAT\CE\TwinCAT PLC HMI Web" containing the CE*.cab installation files
Example:
X86: TwinCAT_PLC_HMI_Web_CE.I586.CAB
ARM: TwinCAT_PLC_HMI_Web_CE.ARM.CAB

  • Step 2:
     Transfer of the CE Cab installation files to the CE device (via memory stick/FTP/Public folder/CF adapter...)

    While the CE device is running, double-click on the Cab file and confirm with "OK".
    After the installation the Cab file will destroy itself.

    Reboot the device once via "Start -> Suspend" ( no power cycle ! ) to save all data on the flash or the CF card.

The device is now configured for TwinCAT PLC HMI Web.


Windows 7 Runtime: Installation and configuration

Requirement:

  • On the host PC: Editor: TwinCAT 2.10 Build 1326 or higher

Installation:

TwinCAT PLC HMI Web is available as supplement and can be installed via Setup. A licence is required. A limited demo version is not available.
The installation consists of three steps:

1: Installation of the Internet Information Server IIS

  • The Internet Information Server (IIS) is not installed as standard in Windows 7. This function must be subsequently installed
  • See http://http://technet.microsoft.com/de-de/library/cc725762%28v=ws.10%29.aspx
  • Make sure that the ISAPI filter and extensions are also installed (see picture)

2: Installation of the supplement software on the host PC

  • The supplement software is installed on your PC with the Win 7 runtime by entering the required licence key and agreeing to the licensing conditions

3: Configuration of the Internet Information Server (IIS)

  • Create a “virtual directory” with the name “UPnPDevice” with a link to the directory “.\Programs\Beckhoff \UPnP\WebSite”
  • Create a “virtual directory” with the name “TcWebVisu” with a link to the directory “.\TwinCAT\Boot\WebVisu”

  • Add the following DLLs under “IIS/ISAPI and CGI Restrictions” and permit their execution:

- C:\Program Files\Beckhoff\UPnP\WebSite\TcPlcDataServiceDa.dll

- C:\Program Files\Beckhoff\UPnP\WebSite\TcPlcDataService.dll

  • Permit the action “Execute” under “Handler Mappings”

  • Select “Applications pool identity” under “IIS \Authentication\Anonymous Authentication”.

  • Restart the IIS service

Please note: If you use Windows 7 64-bit, you need to explicitely enable 32-bit ISAPI-DLLs in IIS. In this case, please perform the following steps:

  • Open "Internet Information Service (IIS) Manager" which can be found under "Control Panel\Administrative Tools\"
  • Click on "Application Pools"
  • Select the "DefaultAppPool" and click on "Advanced Settings..." from the Actions panel
  • Set the entry "Enable 32-bit Applications" to "True", then click on "OK" to commit the changes

The installation is now completed.


Editor

Requirement:

  • On the host PC: Editor: TwinCAT 2.10 Build 1320 or higher (for creating a web solution for CE)
  • On the host PC: Editor: TwinCAT 2.10 Build 1326 or higher (for creating a web solution for XP)

Configuration:

Once the Runtime for TwinCAT PLC HMI Web visualisation has been installed on the target system, the web option has to be selected once in the IEC1131 editor TwinCAT PLC Control in the PLC project:

Select "Enable Web Visualization" in PLC Control dialog "Project:"-->"Options..."-->"TwinCAT".

With the next download of the PLC project to the target system, the files required for the web-based visualisation are loaded into the target system and stored in folder .\TwinCAT\Boot\WebVisu.

With the transition of the PLC to "Run" mode, the web-based visualisation is now available for clients (browser).

Note
Selection of "Download Symbol description" is not required for the application of TwinCAT PC HMI Web.


Website call

Requirements:

A client (browser) requires a Java VM to display the web-based visualisation TwinCAT PLC HMI Web (for Java VM versions see our note below).

  • For PC-based systems this is available free of charge from several providers, e.g. www.sun.com
  • For CE-based systems no free Java-VM is available

Start:

The client calls up the website with this URL (irrespective of the name under which the VISU page was created in TwinCAT PLC Control.)

http://<ip-or-hostname-of-device>/TcWebVisu/Index.htm

or

http://<ip-or-hostname-of-device>/TcWebVisu/

Examples:

http://192.16.18.213/TcWebVisu/Index.htm

http://192.16.18.213/TcWebVisu/

http://CX_012345/TcWebVisu/Index.htm

http://CX_012345/TcWebVisu/

If you want to make a project change while the browser is showing the old project you would possibly have to empty the cache of your browser to display the new pages. For Internet Explorer 8 it would be: Shift-button + side-refresh-button with the mouse. A new browser window or a normal refresh does not work here.

Note
In Windows XP-based systems, the IP address and the NetID of the host computer must be identical for successful communication.
Example: If the IP address is 192.16.18.213, the NetID must be 192.16.18.213.1.1.

Note
Not operational:

http://localhost/TcWebVisu/

Hinweis
Since Java-VM version 1.6.0_14 you have to carry out the following settings:

In your Control Panal (Windows XP / XPe) you can find the entry "Java". If you select this entry, the "Java Control Panal" window opens. Now please select the button "Network Settings...". Here you have to set the option "Direct connection".


Overview

TS1810 | TwinCAT PLC HMI Web

Supported visualisation elements

Text placeholders

TwinCAT PLC HMI Web Visualisation currently supports the following text placeholders:

Placeholder | Argument/Output
%d | Decimal number
%o | Octal number without sign (without leading zero)
%x | Hexadecimal number without sign (without leading 0X)
%s | String
%f | REAL values [-]m.<dddddd>, with the number of d determining the accuracy (default: 6). The plus or minus sign defines right (default) or left alignment, m defines the number of decimals.

Date and time data (%t)

TwinCAT PLC HMI Web Visualisation currently supports the following date and time data:

Placeholder | Format
%a | Day of the week, abbreviated, e.g. "Wed"
%A | Day of the week, full name, e.g. "Wednesday"
%b | Month name, abbreviated, e.g. "Feb"
%B | Month name, full name, e.g. "February"
%c | Date and time in format <month>/<day>/<year> <hours>:<minutes>:<seconds>, e.g. "08/28/02 16:58:45"
%d | Day of the month as a number (01-31), e.g. "24"
%H | Hour, 24 h format (01-24), e.g. "16"
%I | Hour, 12 h format (01-12), e.g. "05" for 5pm
%j | Day of the year (001 – 366), e.g. "241"
%m | Month (01 – 12), e.g. "3" for March
%M | Minutes (00 – 59), e.g. "13"
%p | AM (hours <12) or PM (>12) indicator for 12 h format.
%S | Seconds (00 – 59)
%U | Week number, with Sunday used as the first day of the week (00 – 53)
%W | Week number, with Monday used as the first day of the week (00 – 53)
%x | Date in format <month>/<day>/<year>, e.g. "08/28/02"
%X | Time in format <hours>:<minutes>:<seconds>, e.g. "16:58:45"
%y | Year, two-digit format (00 – 99), e.g. "02"
%Y | Year, full format, e.g. "2002"
%z, %Z | Time zone (if known), e.g. "Western European Daylight Time"
%% | Percent sign

General

Moving of elements in the Web Visualisation is supported.

Warning

Spaces between the "%" sign and the symbol prevent the value being read by the Web Visualisation!

Warning

Scrolling is currently not available in the Web Visualisation. The Web Visualisation design should therefore take into account the intended window size.

Limitations and special features

Input

The Web Visualisation currently only supports text input if 'Text' is selected as text entry in the variable 'Text Output'.

Alarm tables

The Web Visualisation does currently not support alarm tables.

Trend function

The Web Visualisation does currently not support the trend function.

Histogram

The Web Visualisation does currently not support histograms.

Internal commands (see section on special input options)

  • PRINT - this command for printing the current visualisation is not supported for the Web Visualisation.

  • Execute external program - The command for executing an external program is not supported for the Web Visualisation.

  • LANGUAGE DIALOG - The command for calling up the configuration dialog for a visualisation containing the language category is not supported for the Web Visualisation.

  • EXIT PROGRAM - The command to exit the program is not supported for the Web Visualisation, although INTERN LINK is available for this purpose.

  • TRACE - The command for opening a trace recording window is not supported for the Web Visualisation.

  • SAVE PROJECT - The command for saving the project is not supported for the Web Visualisation.

Variable access

  • Dynamic indexing within an array - “Array1[Index].a” is not possible, although “Array1[10].a” is possible.

  • Placeholder substitutions - Placeholder substitutions are currently not possible within the Web Visualisation.

  • Pointer - Pointer variables such as MAIN.pdw2^ cannot be displayed.

Miscellaneous

  • Transparent bitmaps - Transparent bitmaps are not yet supported.
  • Alarm handling - Alarm handling is not supported for the Web Visualisation.

  • IEC operators - The following IEC operators are currently not supported by the Web Visualisation:

  • - Arithmetic operators: MOVE, INDEXOF, SIZEOF

    - Bit string operators: XOR

    - Bit shift operators: SHL, SHR, ROL, ROR

    - Selection operators: LIMIT, MUX

    - Comparison operators: EQ, NE

    - All address operators

    - All call operators

    - All conversion operators

    - Numeric operators: SQRT, LN, LOG, EXP, ASIN, ACOS, ATAN, EXPT


Feature Overview

TS1800 | TwinCAT PLC HMI

Feature overview of visualisation with TwinCAT

It is shown in this table which possibilities the visualisation offers with TwinCAT.

 | PLC Control | PLC HMI | PLC HMI Web | PLC HMI CE | Comment
Current test version: | Build 1010 | 2.10.0.900 | 1.0.0.7 | 1.0.9.10 | From TwinCAT 2.10 Build 1334
Rectangle |  |  |  |  |
Rounded rectangle |  |  |  |  |
Ellipse |  |  |  |  |
Polygon |  |  |  |  |
Curve |  |  |  |  |
Pie |  |  |  |  |
Bitmap |  |  |  |  |
Visaualisation |  |  |  |  |
Button |  |  |  |  |
WMF/JPG File |  |  |  |  |
Table |  |  |  |  |
ActiveX element |  |  |  |  |
Trend |  |  |  | / | HMI CE: Only online trend is available
Alarm table |  |  |  |  |
Meter |  |  |  |  |
Bar display |  |  |  |  |
Histogram |  |  |  |  |
Invisible elements |  |  |  |  |
Change color |  |  |  |  |
Background bitmap |  |  |  |  |
Button background |  |  |  |  |
Tooltip |  |  |  |  | HMI CE: Elements not too near to the edge or tooltip is outside the window
Security |  |  |  |  |
Placeholder |  |  | / | / | Web/HMI CE: Zoom to visu with placeholders in the zoom command is not possible
Print function |  |  |  |  |
Password change |  |  |  |  |
Change user level |  |  |  |  |
Language dialog |  |  |  |  |
Language automatic change |  |  |  |  |
Exit |  |  |  |  |
Trace |  |  |  |  |
Text input 'Text' |  |  |  |  | Web: Please don't exceed the maximum string length of your variable HMI CE: The hidden function is not supported
Text input 'Numpad' |  |  |  |  | HMI CE: The hidden function is not supported
Text input 'Keypad' |  |  |  |  | Web: Please don't exceed the maximum string length of your variable HMI CE: The hidden function is not supported

Restrictions